#-------------------------------------------------
#
# Project created by QtCreator 2015-01-23T10:40:54
#
#-------------------------------------------------

QT       += core gui opengl testlib xml svg


include($$PWD/3rdparty/qextserialport/src/qextserialport.pri)

#QT += qextserialport

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = x2grbl
TEMPLATE = app


SOURCES += main.cpp\
        mainwindow.cpp \
    gcodeparser.cpp \
    gcodeinterpreter.cpp \
    gcodeoutputdevice.cpp \
    outputdevicegrbl.cpp \
    outputdeviceqpicture.cpp \
    graphicspictureitem.cpp \
    grbloptionsdialog.cpp \
    transferqueue.cpp \
    transferthread.cpp \
    probingoptionsdialog.cpp \
    autolevelproxy.cpp \
    millingoptionsdialog.cpp \
    hpglparser.cpp \
    loadeagleboarddialog.cpp \
    eaglebrdparser.cpp \
    qpainter2gcode.cpp

HEADERS  += mainwindow.h \
    gcodeparser.h \
    gcodeinterpreter.h \
    gcodeoutputdevice.h \
    outputdevicegrbl.h \
    outputdeviceqpicture.h \
    graphicspictureitem.h \
    grbloptionsdialog.h \
    transferqueue.h \
    transferthread.h \
    probingoptionsdialog.h \
    autolevelproxy.h \
    millingoptionsdialog.h \
    hpglparser.h \
    loadeagleboarddialog.h \
    eaglebrdparser.h \
    qpainter2gcode.h

FORMS    += mainwindow.ui \
    grbloptionsdialog.ui \
    probingoptionsdialog.ui \
    millingoptionsdialog.ui \
    loadeagleboarddialog.ui

QMAKE_CXXFLAGS+=-std=gnu++11
#QMAKE_CXXFLAGS+=-Ofast

OTHER_FILES += \
    README.md
