/*                  Part of x2grbl
 *
 *  Copyright Johann Wilhelm <johann.wilhelm@9mal6.de> 2015
 *
 *  see Readme.md for detailed license and usage information!
*/

#include "transferthread.h"

#include "gcodeparser.h"
#include "gcodeinterpreter.h"
#include "outputdevicegrbl.h"

TransferThread::TransferThread(QObject *parent) : QThread(parent) {
}

void TransferThread::run() {
    OutputDeviceGrbl Grbl;
    GCodeParser Parser;
    GCodeInterpreter Interpreter;

    Interpreter.Run(Grbl, Parser);
}
